Name:           tkabber
Version:        0.9.3
Release:        alt1
Summary:        Tkabber is an open source Jabber client.
Summary(ru_RU.KOI8-R): Tkabber -  Jabber 
License:        GPL
Group:          Networking/Instant messaging
Url:            http://www.jabber.ru/projects/tkabber/
BuildArch:      noarch
Source:         %name-%version-%release.tar.gz
#Patch:                %name-dir.patch.bz2
Requires:        bwidget, tcllib

%description
Tkabber provides a Tcl/Tk interface to the Jabber instant messaging and presence service.
Wtiting in Tcl/Tk, used TclLib and BWidget, working on Linux, FreeBSD, NetBSD, Solaris  Windows 98/2000/XP.

%description -l ru_RU.KOI8-R
Tkabber --    Jabber.   Tcl/Tk,  Tcllib  BWidget,      ,    Tcl/Tk. ,     Linux, FreeBSD, NetBSD, Solaris  Windows 98/2000/XP.

%prep
%setup -n %name
#%patch -p0

%build

%install
mkdir -p $RPM_BUILD_ROOT{%_datadir/%name/chat-plugins,%_datadir/%name/emoticons-tkabber,%_datadir/%name/examples}
mkdir -p $RPM_BUILD_ROOT{%_datadir/%name/iq-plugins,%_datadir/%name/jabberlib-tclxml,%_datadir/%name/mclistbox-1.02}
mkdir -p $RPM_BUILD_ROOT{%_datadir/%name/msgs,%_bindir,%_datadir/%name/pixmaps,%_datadir/%name/sounds}
mkdir -p $RPM_BUILD_ROOT{%_datadir/%name/plugins,%_datadir/%name/textundo,%_datadir/%name/unix}

cat > %name <<EOF
#!/bin/sh
%_datadir/%name/%name.tcl
EOF

install -p -m755 %name $RPM_BUILD_ROOT%_bindir/%name

install -p -m644 *.tcl $RPM_BUILD_ROOT%_datadir/%name/
install -p -m755 %name.tcl $RPM_BUILD_ROOT%_datadir/%name/
install -p -m644 *.xrdb $RPM_BUILD_ROOT%_datadir/%name/
install -p -m644 chat-plugins/*.tcl $RPM_BUILD_ROOT%_datadir/%name/chat-plugins/
install -p -m644 emoticons-tkabber/*.* $RPM_BUILD_ROOT%_datadir/%name/emoticons-tkabber/
install -p -m644 examples/*.* $RPM_BUILD_ROOT%_datadir/%name/examples/
install -p -m644 iq-plugins/*.* $RPM_BUILD_ROOT%_datadir/%name/iq-plugins/
install -p -m644 mclistbox-1.02/*.tcl $RPM_BUILD_ROOT%_datadir/%name/mclistbox-1.02/

#install -p -m644 pixmaps/jarl/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/jarl/
find pixmaps/ | cpio -pmd $RPM_BUILD_ROOT%_datadir/%name/
find plugins/ | cpio -pmd $RPM_BUILD_ROOT%_datadir/%name/
find jabberlib-tclxml/ | cpio -pmd $RPM_BUILD_ROOT%_datadir/%name/
find sounds/ | cpio -pmd $RPM_BUILD_ROOT%_datadir/%name/

#install -p -m644 pixmaps/default/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/default/
#install -p -m644 pixmaps/feather22/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/feather22/
#install -p -m644 pixmaps/gabber/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/gabber/
#install -p -m644 pixmaps/jajc/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/jajc/
#install -p -m644 pixmaps/jarl/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/jarl/
#install -p -m644 pixmaps/psi/*.* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/psi/

install -p -m644 msgs/*.msg $RPM_BUILD_ROOT%_datadir/%name/msgs/
install -p -m644 textundo/*.tcl $RPM_BUILD_ROOT%_datadir/%name/textundo/
install -p -m644 unix/*.tcl $RPM_BUILD_ROOT%_datadir/%name/unix/

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat > $RPM_BUILD_ROOT/usr/lib/menu/%name << EOF
?package(%name): needs=x11 icon="%name.xpm" section="Networking/Instant messaging"  title=TkAbber longtitle="Jabber client" command=tkabber
EOF

#mdk icons
install -d $RPM_BUILD_ROOT{%_iconsdir,%_iconsdir/large,%_iconsdir/mini}
install -p -m644 pixmaps/icons/%name.xpm $RPM_BUILD_ROOT%_iconsdir
install -p -m644 pixmaps/icons/large/%name.xpm $RPM_BUILD_ROOT%_iconsdir/large/
install -p -m644 pixmaps/icons/mini/%name.xpm $RPM_BUILD_ROOT%_iconsdir/mini/

%post
%update_menus

%postun
%clean_menus

%files
%doc INSTALL ChangeLog COPYING README README.html
%doc doc/*
%_bindir/%name
%_datadir/%name
%_libdir/menu/%name
%_iconsdir/%name.xpm
%_liconsdir/%name.xpm
%_miconsdir/%name.xpm


%changelog
* Sun Nov 10 2002 Alexey Shchepin  <alexey@sevcom.net> 0.9.3-alt1
- roster.tcl (roster::jid_doubleclick): Added highlighting of roster conference icon when it opened 
- presence.tcl: Bugfix: clear presence information after disconnecting
- examples/(ice|light|warm).xrdb: Updated (thanks to Sergei Golovan)
- msgs/ru.msg: Updated (thanks to Sergei Golovan)
- search.tcl: Bugfix (thanks Sergei Golovan)
- messages.tcl: Added menu for sender (thanks to Sergei Golovan)
- sound.tcl: Fixed bug with theme started from "~" with external play program; support for temporary mute sound (thanks to Sergei Golovan)
- iface.tcl: Added menu item for muting sounds
- plugins/general/autoaway.tcl: Mute sound in away mode
- msgs/ru.msg: Updated (thanks to Sergei Golovan)
- examples/teo-config.tcl: New config example (thanks to Sergei Golovan)
- doc/tkabber.xml: Updates (thanks to Sergei Golovan)
- splash.tcl (splash_start): Fixed commentary table
- chats.tcl (chat::redraw_roster): Show number of participants in conference users list
- examples/mtr-config.tcl: Updated (thanks to Marshall T. Rose)
- doc/tkabber.xml: Updates (thanks to Marshall T. Rose)
- messages.tcl: Fixed headline caching bug (thanks to Marshall T. Rose)
- userinfo.tcl (userinfo::manage_focus): Bugfix
- iface.tcl: Workaround for one bwidget issue (thanks to Sergei Golovan)
- examples/*.xrdb: Updates and new themes (warm.xrdb and light.xrdb) (thanks to Sergei Golovan)
- chats.tcl: Added ability to have different default size for chat and groupchat windows (thanks to Sergei Golovan)
- iface.tcl: Likewise
- default.xrdb: Likewise
- examples/dark.xrdb: New color theme (thanks to Sergei Golovan)
- examples/ice.xrdb: Likewise
- examples/green.xrdb: Likewise (thanks to ukscone)
- pixmaps/icq/: New ICQ-like theme (thanks to Oleg V. Motienko)
- examples/teopetuk.xrdb: Updated, added descriptions of used resources (thanks to Sergei Golovan)
- examples/ermine.xrdb: Likewise
- roster.tcl: Roster import/export support
- userinfo.tcl (userinfo::load_photo): Fixed error when user clicks on "Cancel" button in load photo dialog
- examples/mtr-config.tcl: Updated (thanks to Marshall T. Rose)
- plugins/unix/dockingtray.tcl: Fixed race condition (thanks to Marshall T. Rose)
- plugins/windows/taskbar.tcl: Bugfix (thanks to Sergei Golovan)
- roster.tcl: Fixed roster scrolling (thanks to Sergei Golovan)
- plugins/windows/mousewheel.tcl: Plugin that make mousewheel work on Windows (thanks to Sergei Golovan)
- plugins/general/autoaway.tcl: Autoaway plugin that works both on Unix and on Windows (requires tclWinidle package) (thanks to Sergei Golovan)
- privacy.tcl (privacy::send_lists): Send all lists in different iq packets to work with jabberd2.  Now waiting for next revision of JEP-0016...
- plugins/general/conferenceinfo.tcl: If conference return error reply, then wait longer period of time to ask again
- doc/tkabber.xml: Updated
- login.tcl (show_login_dialog): Fixed tab order
- roster.tcl: More performance improvements
- presence.tcl: Cleanups
- plugins/windows/taskbar.tcl: Few changes (thanks to Sergei Golovan)
- roster.tcl: More performance improvements
- roster.tcl (roster::jid_doubleclick): Small fix to better work with bookmark items -- jabberd2 removes all category and type attributes
- joingrdialog.tcl: Add conference in <item category='conference'/> tag instead of <conference/>
- messages.tcl: Fixed some headline caching stuff (thanks to Marshall T. Rose)
- examples/jsend.tcl: Small changes (thanks to Marshall T. Rose)
- examples/mtr-config.tcl: Likewise
- plugins/windows/taskbar.tcl: Few changes (thanks to Sergei Golovan)
- pixmaps/jajc/docking/tkabber.ico: Windows icon for JAJC theme (thanks to Sergei Golovan)
- userinfo.tcl: Added dialog for requesting info from arbitrary JID (thanks to Sergei Golovan)
- roster.tcl: Performance improvements (better handling of big rosters)
- presence.tcl: Likewise 
- muc.tcl (muc::process_gc_user): Fixed typo with reason handling
- privacy.tcl: Server-Based Privacy Rules support (JEP-0016)
- plugins/unix/wmdock.tcl (::wmdock::showhide): Small fix (thanks to Michail Litvak and Max Loparyev)
- disco.tcl: Small improvements
- plugins/general/tkcon.tcl: Plugin that add support for tkcon (thanks Marshall T. Rose)
- doc/tkabber.xml: Updated
- plugins/windows/taskbar.tcl: Plugin to let tkabber on windows put a little icon in the systray (requires Winico package) (thanks Marshall T. Rose)
- pixmaps/default/docking/tkabber.ico: Windows icon for systray
- plugins/general/conferenceinfo.tcl: Plugin for listing participants of roster conferences when user not joined them
- doc/tkabber.xml: Updated

